time.h File Reference
`#include "vn/int.h"`
`#include "vn/error.h"`
`#include "vn/enum.h"`

Go to the source code of this file.

## Data Structures

struct | VnStopwatch
| Provides simple timing capabilities. More...

## Functions

VnError | VnStopwatch_initializeAndStart (VnStopwatch *stopwatch)
| Initializes and starts a stopwatch. More...
VnError | VnStopwatch_reset (VnStopwatch *stopwatch)
| Resets the stopwatch's timing. More...
VnError | VnStopwatch_elapsedMs (VnStopwatch *stopwatch, float *elapsedMs)
| Determines the number of milliseconds elapsed since the last reset of the stopwatch. More...

## Detailed Description

{COMMON_HEADER}

# DESCRIPTION

This header file contains structures and functions useful timing.

## Function Documentation

VnError VnStopwatch_elapsedMs | ( | VnStopwatch * | stopwatch,
|  | float * | elapsedMs
| ) |  |

Determines the number of milliseconds elapsed since the last reset of the stopwatch.

Parameters

  [in] | stopwatch | The associated VnStopwatch.
  [out] | elapsedMs | The elapsed time in milliseconds.

Returns
  Any errors encountered.

VnError VnStopwatch_initializeAndStart | ( | VnStopwatch * | stopwatch | ) |

Initializes and starts a stopwatch.

Parameters

  [in] | stopwatch | The VnStopwatch to initialize and start.

Returns
  Any errors encountered.

VnError VnStopwatch_reset | ( | VnStopwatch * | stopwatch | ) |

Resets the stopwatch's timing.

Parameters

  [in] | stopwatch | The associated VnStopwatch.

Returns
  Any errors encountered.